Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class HSSFRegionUtil

    java.lang.Object
      org.apache.poi.hssf.util.HSSFRegionUtil

    public final class HSSFRegionUtil

extends java.lang.Object

Various utility functions that make working with a region of cells easier.

Author:
  Eric Pugh epugh@upstate.com

Method Summary
`static void` | `setBorderBottom(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the borderBottom attribute of the HSSFRegionUtil object
`static void` | `setBorderBottom(short border, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setBorderLeft(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left
`static void` | `setBorderLeft(short border, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setBorderRight(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the borderRight attribute of the HSSFRegionUtil object
`static void` | `setBorderRight(short border, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setBorderTop(int border, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the borderBottom attribute of the HSSFRegionUtil object
`static void` | `setBorderTop(short border, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setBottomBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the bottomBorderColor attribute of the HSSFRegionUtil object
`static void` | `setBottomBorderColor(short color, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setLeftBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the leftBorderColor attribute of the HSSFRegionUtil object
`static void` | `setLeftBorderColor(short color, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setRightBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the rightBorderColor attribute of the HSSFRegionUtil object
`static void` | `setRightBorderColor(short color, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`
`static void` | `setTopBorderColor(int color, CellRangeAddress region, HSSFSheet sheet, HSSFWorkbook workbook)` Sets the topBorderColor attribute of the HSSFRegionUtil object
`static void` | `setTopBorderColor(short color, Region region, HSSFSheet sheet, HSSFWorkbook workbook)` Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setBorderLeft

    public static void setBorderLeft(short border,
                                     Region region,
                                     HSSFSheet sheet,
                                     HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setBorderLeft

    public static void setBorderLeft(int border,
                                     CellRangeAddress region,
                                     HSSFSheet sheet,
                                     HSSFWorkbook workbook)

  Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setLeftBorderColor

    public static void setLeftBorderColor(short color,
                                          Region region,
                                          HSSFSheet sheet,
                                          HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setLeftBorderColor

    public static void setLeftBorderColor(int color,
                                          CellRangeAddress region,
                                          HSSFSheet sheet,
                                          HSSFWorkbook workbook)

  Sets the leftBorderColor attribute of the HSSFRegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderRight

    public static void setBorderRight(short border,
                                      Region region,
                                      HSSFSheet sheet,
                                      HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setBorderRight

    public static void setBorderRight(int border,
                                      CellRangeAddress region,
                                      HSSFSheet sheet,
                                      HSSFWorkbook workbook)

  Sets the borderRight attribute of the HSSFRegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setRightBorderColor

    public static void setRightBorderColor(short color,
                                           Region region,
                                           HSSFSheet sheet,
                                           HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setRightBorderColor

    public static void setRightBorderColor(int color,
                                           CellRangeAddress region,
                                           HSSFSheet sheet,
                                           HSSFWorkbook workbook)

  Sets the rightBorderColor attribute of the HSSFRegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderBottom

    public static void setBorderBottom(short border,
                                       Region region,
                                       HSSFSheet sheet,
                                       HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setBorderBottom

    public static void setBorderBottom(int border,
                                       CellRangeAddress region,
                                       HSSFSheet sheet,
                                       HSSFWorkbook workbook)

  Sets the borderBottom attribute of the HSSFRegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBottomBorderColor

    public static void setBottomBorderColor(short color,
                                            Region region,
                                            HSSFSheet sheet,
                                            HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setBottomBorderColor

    public static void setBottomBorderColor(int color,
                                            CellRangeAddress region,
                                            HSSFSheet sheet,
                                            HSSFWorkbook workbook)

  Sets the bottomBorderColor attribute of the HSSFRegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderTop

    public static void setBorderTop(short border,
                                    Region region,
                                    HSSFSheet sheet,
                                    HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setBorderTop

    public static void setBorderTop(int border,
                                    CellRangeAddress region,
                                    HSSFSheet sheet,
                                    HSSFWorkbook workbook)

  Sets the borderBottom attribute of the HSSFRegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setTopBorderColor

    public static void setTopBorderColor(short color,
                                         Region region,
                                         HSSFSheet sheet,
                                         HSSFWorkbook workbook)

  Deprecated. (Aug 2008) use `CellRangeAddress` instead of `Region`

### setTopBorderColor

    public static void setTopBorderColor(int color,
                                         CellRangeAddress region,
                                         HSSFSheet sheet,
                                         HSSFWorkbook workbook)

  Sets the topBorderColor attribute of the HSSFRegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.